# Merlu
declaration: package: ecoparasite.poisson, class: Merlu

# Class Merlu

java.lang.Object
ecoparasite.poisson.Poisson
ecoparasite.poisson.Merlu

All Implemented Interfaces:
  `DataParsing`

public class Merlu extends Poisson implements DataParsing
Hérite de Poisson. Ajoute les fonctions de Parsing liés aux données collectées sur le Merlu.

## Field Summary

### Fields inherited from class Poisson

`fishParts`

## Constructor Summary

Constructors
Constructor
Description
`Merlu(Double length, Double infestation)`
Construteur d'un merlu

## Method Summary

Modifier and Type
Method
Description
`HashSet<Poisson>`
`parse(RawData data)`
Implémentation de la fonction parse de Dataparsing

### Methods inherited from class Poisson

`getInfestation, getLength, getSpecie, getWeight, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Merlu

public Merlu(Double length, Double infestation)
Construteur d'un merlu

Parameters:
  `length` - Un Wrapper Double representant la longueur/taille du poisson
  `infestation` - Un Wrapper Double representant le taux de parasite du poisson

## Method Details

### parse

public HashSet<Poisson> parse(RawData data)
Implémentation de la fonction parse de Dataparsing

Specified by:
  `parse` in interface `DataParsing`
Parameters:
  `data` -
Returns:
  tableau des poissons